godo.AgentPlatform.SearchModels()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.AgentPlatform.SearchModels(ctx context.Context, query string) ([]string, *godo.Response, error)Description
MCPSearchModels searches available models by name and returns the list of matching UUIDs.
This method sends a GET request to /v2/gen-ai/models.
Parameters
querystring required
Returns
- []string
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Request Sample
More Information
See GET /v2/gen-ai/models in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.